curl --request GET \
--url https://api.sandbox.isometric.com/mrv/v0/datapoints \
--header 'Authorization: Bearer <token>' \
--header 'x-client-secret: <x-client-secret>'import requests
url = "https://api.sandbox.isometric.com/mrv/v0/datapoints"
headers = {
"x-client-secret": "<x-client-secret>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-client-secret': '<x-client-secret>', Authorization: 'Bearer <token>'}
};
fetch('https://api.sandbox.isometric.com/mrv/v0/datapoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"nodes": [
{
"description": "<string>",
"display_name": "<string>",
"id": "dtp_1DVKHKS101S0Q61Q",
"locked_status": "not_locked",
"measured_at": "2023-11-07T05:31:56Z",
"project_id": "prj_1CTWZQGKE1S0VAXA",
"quantity": {
"magnitude": 123,
"unit": "<string>",
"standard_deviation": 123
},
"source_ids": [
"src_1EBBF4M7X1S06G1Y"
],
"supplier_reference_id": "<string>",
"type": "CONSTANT",
"uncertainty_justification": "<string>"
}
],
"page_info": {
"end_cursor": "<string>",
"has_next_page": true,
"has_previous_page": true,
"start_cursor": "<string>"
},
"total_count": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Get Datapoints
Lists datapoints in the Isometric system
Authorizations
A JWT Bearer token header for authentication and authorization, in the format Authorization: Bearer <token>
Headers
A secret token identifying the client connecting to the API
"Syou3EZiO5vuMEgNyBeA8cjEMYOnQDwP"
Query Parameters
A string that must be unique for all resources created by a specific supplier. It can be used by a client to identify the correct objects in their system.
1 - 20020 - 37"prj_1CTWZQGKE1S0VAXA"
acidity, activity_concentration, amount_of_substance, amount_of_substance_concentration, amount_of_substance_per_mass, area, area_carbon_emission_factor, buffer_ph, bulk_density, count, currency, currency_carbon_emission_factor, depth, diameter, diameter_at_breast_height, dimensionless, dimensionless_ratio, distance, distance_carbon_emission_factor, dose_equivalent_rate, electric_current, elevation, energy, energy_carbon_emission_factor, energy_density, exchangeable_amount_of_substance_per_mass, fuel_economy, height, ionic_strength, latitude, longitude, mass, mass_carbon, mass_carbon_emission_factor, mass_cdr_potential, mass_concentration, mass_density, mass_distance, mass_distance_carbon_emission_factor, mass_energy_density, mass_flow_rate, mass_fraction, mass_fraction_dry_basis, mass_fraction_wet_basis, mass_per_area, mass_ratio, molality_of_solute, molar_mass, mole_fraction, partial_pressure, particle_diameter, particle_mass_density, power, pressure, specific_surface_area, specific_volume, temperature, time, time_emission_factor, voltage, volume, volume_carbon_emission_factor, volume_distance_carbon_emission_factor, volume_flow_rate, volume_fraction, volume_per_area 20 - 37"mts_1D7HS15KD1S03M0Z"
20 - 37"rmv_1EEM6NJXX1S0EXKD"
20 - 37"rmv_1EEM6NJXX1S0EXKD"
20 - 37"ggs_1GDQJ99Z51S0DYW9"
20 - 37"rvt_1EVC8RZFE1S0BAT6"
20 - 37"rvt_1EVC8RZFE1S0BAT6"
REMOVAL, GHG_STATEMENT, PROJECT, NET_NEGATIVITY An integer number of items to retrieve before the item represented by the cursor passed in the before parameter. Defaults to 10 with a maximum value of 50.
x <= 50An opaque cursor representing the first item in the previously requested page to select items ordered before it. Submit the previously requested page’s start_cursor here when paginated backwards.
1An integer number of items to retrieve after the item represented by the cursor passed in the after parameter. Defaults to 10 with a maximum value of 50.
x <= 50An opaque cursor representing the last item in the previously requested page to select items ordered after it. Submit the previously requested page’s end_cursor here when paginated forwards.
1Was this page helpful?